> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Environment Class

> Updates an environment class.

`Unary` · [`Runner Configurations`](https://ona.com/docs/api-reference/generated/runner-configuration/overview)

Updates an environment class.

Use this method to:

* Modify class settings
* Update resource limits
* Change availability

### Examples

* Update class:

  Changes class configuration.

  ```yaml theme={null}
  environmentClassId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  displayName: "Updated Large Instance"
  description: "16 CPU, 32GB RAM"
  enabled: true
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.RunnerConfigurationService/UpdateEnvironmentClass
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.RunnerConfigurationService/UpdateEnvironmentClass" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "environmentClassId": "<environment-class-id>"
}'
```

```python Python theme={null}
import gitpod.v1.runner_configuration_pb2 as runner_configuration_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = runner_configuration_pb2.UpdateEnvironmentClassRequest(
    environment_class_id="<environment-class-id>",
)
response = ona.services.runner_configuration.update_environment_class(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { UpdateEnvironmentClassRequestSchema } from "@gitpod/sdk/gitpod/v1/runner_configuration_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(UpdateEnvironmentClassRequestSchema, {
    environmentClassId: "<environment-class-id>",
  });
  const response = await ona.services.runnerConfiguration.updateEnvironmentClass(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.UpdateEnvironmentClassRequest{
		EnvironmentClassId: "<environment-class-id>",
	})
	response, err := ona.Services.RunnerConfiguration.UpdateEnvironmentClass(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "environmentClassId": "<environment-class-id>"
}
```

## Request

`gitpod.v1.UpdateEnvironmentClassRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `environmentClassId` | string | No | Constraints: `string.uuid=true`. |
| `displayName` | string | No | Constraints: `string.max_len=127, string.min_len=3`. |
| `description` | string | No | Constraints: `string.max_len=200, string.min_len=3`. |
| `enabled` | boolean | No | |

## Response

`gitpod.v1.UpdateEnvironmentClassResponse`

This message has no fields.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.